Bug 166325 - Kmail crashes when chaning folder
Kmail crashes when chaning folder
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kdepim (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-19 04:24 EDT by Nigel Horne
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: FC5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-03 10:45:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nigel Horne 2005-08-19 04:24:05 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc3 Firefox/1.0.6

Description of problem:
Switching kmail folders crashed the program.

Version-Release number of selected component (if applicable):
kdepim-3.4.2-0.fc3.1

How reproducible:
Sometimes

Steps to Reproduce:
1. Switch to a new folder in kkamil
2.
3.
  

Actual Results:  Crashed

Expected Results:  Shouldn't have crashed

Additional info:

Stack trace:

Using host libthread_db library "/lib/tls/libthread_db.so.1".
`shared object read from target memory' has disappeared; keeping its symbols.
[Thread debugging using libthread_db enabled]
[New Thread -1208194592 (LWP 5931)]
[KCrash handler]
#4  0x05f1c01b in rewind () from /lib/tls/libc.so.6
#5  0x006633b9 in KMFolderMbox::createIndexFromContents ()
   from /usr/lib/libkmailprivate.so
#6  0x006602fb in KMFolderMbox::open () from /usr/lib/libkmailprivate.so
#7  0x005caf0d in KMFolder::open () from /usr/lib/libkmailprivate.so
#8  0x0058ff19 in KMHeaders::setFolder () from /usr/lib/libkmailprivate.so
#9  0x00714d49 in KMMainWidget::folderSelected ()
   from /usr/lib/libkmailprivate.so
#10 0x00724a6d in KMMainWidget::qt_invoke () from /usr/lib/libkmailprivate.so
#11 0x018ca097 in QObject::activate_signal ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#12 0x0057301d in KMFolderTree::folderSelected ()
   from /usr/lib/libkmailprivate.so
#13 0x00573113 in KMFolderTree::doFolderSelected ()
   from /usr/lib/libkmailprivate.so
#14 0x005731e1 in KMFolderTree::contentsMouseReleaseEvent ()
   from /usr/lib/libkmailprivate.so
#15 0x019d84f9 in QScrollView::viewportMouseReleaseEvent ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#16 0x019da881 in QScrollView::eventFilter ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#17 0x019aa798 in QListView::eventFilter ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#18 0x00572593 in KMFolderTree::eventFilter ()
   from /usr/lib/libkmailprivate.so
#19 0x018c76d2 in QObject::activate_filters ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#20 0x018c778b in QObject::event () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#21 0x018ffe5a in QWidget::event () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#22 0x0186b539 in QApplication::internalNotify ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#23 0x0186b779 in QApplication::notify ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#24 0x0118a028 in KApplication::notify () from /usr/lib/libkdecore.so.4
#25 0x0180a458 in QETWidget::translateMouseEvent ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#26 0x01808861 in QApplication::x11ProcessEvent ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#27 0x0181b1a6 in QEventLoop::processEvents ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#28 0x01880b85 in QEventLoop::enterLoop ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#29 0x01880ade in QEventLoop::exec () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#30 0x0186a73b in QApplication::exec () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#31 0x0804a2fc in ?? ()
#32 0xbf9e9710 in ?? ()
#33 0xbf9e9620 in ?? ()
#34 0x00000000 in ?? ()
Comment 1 Ngo Than 2006-05-03 10:45:08 EDT
This problem should be fixed in new KDE-3.5.2 which is included in FC5-update.
You are recommend to update to FC5 current release. Thanks for your report.

Note You need to log in before you can comment on or make changes to this bug.